メインコンテンツへスキップ
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
特定の定義から関数を取得
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}/{functionId} \
  --header 'Authorization: Bearer <token>'
{
  "functionSource": "<string>",
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
definitionId
string
必須
functionId
string
必須
functionType
enum<string>
必須
利用可能なオプション:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

レスポンス

successful operation

functionSource
string
必須

関数の動作を定義するソースコードまたはスクリプト。

functionType
enum<string>
必須

関数のタイプ。許容される値は、POST_ACTION_EXECUTION、POST_FETCH_OPTIONS、PRE_ACTION_EXECUTION、PRE_FETCH_OPTIONSです。

利用可能なオプション:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

アクション関数の固有ID。

Last modified on April 13, 2026